Subject: categories: parameterised accessiblity

From: "V. Schmitt" <[email-masked]>
Date: Fri, 21 May 2004 09:23:39 +0100

Dear all, I am pleased to advert a paper that has been for (too)long
in limbo. I eventually put the paper on the math archive  in march

http://arXiv.org/abs/math.CT/0403164

I acknowledge F. Borceux that suggested me a major improvement.
This work was first presented in Amiens in Nov. 03. and at the last
PSSL in Cambridge (Thank you all for your feedback).

Here is a short abstract.

The notion of P-flatness  and Q-acessibility are introduced
where the prameters P and Q stand for family of indexes in the
sense of Borceux-Kelly. The following points are proved.
Fixing a family P of indexes and Q denoting the family of
P-flat indexes:
- for a small category A, a presheaf on A is P-flat if and only
if it is a Q-colimit of representables.
- The full subcategory of the category of presheaves on a small A
generated by P-flat presheaves is the free Q-cocompletion of A.
Conversely Q-accessible categories occur as categories of P-flat
presheaves on small A's.

This correspondence yields meaningful internal description
for free-Q-cocomplete objects for suitable Q's. For instance
Lawvere's Cauchy-complete categories are exactly the full
subcategories of P0-flat presheaves on small A's for P0 the
family of ALL indexes.
Remarkably this theory of accessibility extends to the enriched context
(the only constraint on the base V is that it should be sym. & closed).
Actually it is very likely that the whole theory might be developed
in a 2-category with a Yoneda structure.
Other completions by means of P-flat preshaves may be considered.
For instance one obtains this way completions of metric spaces in terms
of asymmetric Cauchy-filters. One also retrieves the algebraic  completions
of partial orders.

Best regards to you all,
Vincent.